Gecode::Kernel Namespace Reference

Kernel functionality More...

## Namespaces

namespace | Config
namespace | MemoryConfig
| Parameters defining memory management policy for spaces.

## Classes

class | FunctionBranch
| Brancher for calling a function More...
class | ViewOcc
| Occurence information for a view. More...
class | GPI
| Global propagator information. More...
class | MemoryChunk
| Memory chunk with size information. More...
class | HeapChunk
| Memory chunk allocated from heap with proper alignment. More...
class | SharedMemory
| Shared object for several memory areas. More...
class | MemoryManager
| Manage memory for space. More...
class | SharedSpaceData
| Class to store data shared among several spaces. More...

## Functions

bool | duplicates (void **p, int n)
| Check whether p has duplicates among its n elements (changes p).
bool | duplicates (void **p, int n, void **q, int m)
| Check whether p has common elements with q.

## Detailed Description

Kernel functionality

Kernel configuration parameters.

## Function Documentation

## duplicates() [1/2]

bool Gecode::Kernel::duplicates | ( | void ** | p,
|  | int | n )

Check whether p has duplicates among its n elements (changes p).

Definition at line 39 of file array.cpp.

## duplicates() [2/2]

bool Gecode::Kernel::duplicates | ( | void ** | p,
|  | int | n,
|  | void ** | q,
|  | int | m )

Check whether p has common elements with q.

Definition at line 49 of file array.cpp.